Loading...
Searching...
No Matches
form_lazy_base< Derived >

## Detailed Description

template<class Derived>
class rheolef::details::form_lazy_base< Derived >

Definition at line 50 of file form_lazy_terminal.h.

## Public Member Functions

template<class FieldExpr >
std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< Derived, FieldExpr > >::type | trans_mult (const FieldExpr &u_expr) const
template<class T , class M >
field_lazy_trans_mult_form< Derived, field_lazy_terminal_field< T, M > > | trans_mult (const field_basic< T, M > &uh) const

## Protected Member Functions

Derived & | derived ()
const Derived & | derived () const

## Member Function Documentation

## trans_mult() [1/2]

template<class Derived >
template<class FieldExpr >

std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< Derived, FieldExpr > >::type trans_mult | ( | const FieldExpr & | u_expr | ) | const

Definition at line 59 of file form_lazy_terminal.h.

## trans_mult() [2/2]

template<class Derived >
template<class T , class M >

field_lazy_trans_mult_form< Derived, field_lazy_terminal_field< T, M > > trans_mult | ( | const field_basic< T, M > & | uh | ) | const

Definition at line 67 of file form_lazy_terminal.h.

## derived() [1/2]

template<class Derived >

Derived & derived | ( |  | ) |

protected

Definition at line 73 of file form_lazy_terminal.h.

## derived() [2/2]

template<class Derived >

const Derived & derived | ( |  | ) | const

protected

Definition at line 74 of file form_lazy_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/form_lazy_terminal.h